package org.bitbucket.bradleysmithllc.etlunit.feature.file;

import java.io.File;

public interface FileProducer
{
	String getName();

	File locateFile(String reference);
	File locateFileWithClassifier(String reference, String classifier);
	File locateFileWithContext(String reference, String context);
	File locateFileWithClassifierAndContext(String reference, String classifier, String context);
}